package com.gaowj.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface test0216Business {
	
	//分页提取
	Page<Map<String,Object>> listData(int pageNo, int pageSize,Map<String, Object> query) throws BusinessException;
	
	//获取所有记录
	List<Map<String,Object>> listData(Map<String, Object> query) throws BusinessException ;
    
    int listDataCount(Map<String, Object> query) throws BusinessException;
	
	void insertData(Map<String, Object> entity) throws BusinessException;

	void updateData(Map<String, Object> entity) throws BusinessException;

	void deleteData(List<String> list) throws BusinessException;
}
